#include "trace_common.h"

struct jprobe jp_sys_setxattr;
struct kretprobe krp_sys_setxattr;
struct jprobe jp_sys_lsetxattr;
struct kretprobe krp_sys_lsetxattr;
struct jprobe jp_sys_fsetxattr;
struct kretprobe krp_sys_fsetxattr;
struct jprobe jp_sys_getxattr;
struct kretprobe krp_sys_getxattr;
struct jprobe jp_sys_lgetxattr;
struct kretprobe krp_sys_lgetxattr;
struct jprobe jp_sys_fgetxattr;
struct kretprobe krp_sys_fgetxattr;
struct jprobe jp_sys_listxattr;
struct kretprobe krp_sys_listxattr;
struct jprobe jp_sys_llistxattr;
struct kretprobe krp_sys_llistxattr;
struct jprobe jp_sys_flistxattr;
struct kretprobe krp_sys_flistxattr;
struct jprobe jp_sys_removexattr;
struct kretprobe krp_sys_removexattr;
struct jprobe jp_sys_lremovexattr;
struct kretprobe krp_sys_lremovexattr;
struct jprobe jp_sys_fremovexattr;
struct kretprobe krp_sys_fremovexattr;

/***********************************************************************/
asmlinkage long
trace_sys_setxattr(char __user* path, 
		   char __user* name,
		   void __user* value, 
		   size_t size,
		   int flags)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_setxattr(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_lsetxattr(char __user* path, 
		    char __user* name,
		    void __user* value, 
		    size_t size,
		    int flags)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_lsetxattr(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}


/***********************************************************************/
asmlinkage long
trace_sys_fsetxattr(int fd, 
		    char __user* name,
		    void __user* value, 
		    size_t size,
		    int flags)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_fsetxattr(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage ssize_t
trace_sys_getxattr(char __user* path, 
		   char __user* name,
		   void __user* value, 
		   size_t size)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_getxattr(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
/***********************************************************************/
asmlinkage ssize_t
trace_sys_lgetxattr(char __user* path, 
		    char __user* name,
		    void __user* value, 
		    size_t size)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_lgetxattr(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
/***********************************************************************/
asmlinkage ssize_t
trace_sys_fgetxattr(int fd, 
		    char __user* name,
		    void __user* value, 
		    size_t size,
		    int flags)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_fgetxattr(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
/***********************************************************************/
asmlinkage ssize_t
trace_sys_listxattr(char __user* path,
		    char __user* list,
		    size_t size)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_listxattr(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
/***********************************************************************/
asmlinkage ssize_t
trace_sys_llistxattr(char __user* path, 
		     char __user* list,
		     size_t size)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_llistxattr(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
/***********************************************************************/
asmlinkage ssize_t
trace_sys_flistxattr(int fd, 
		     char __user* list, 
		     size_t size)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_flistxattr(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
/***********************************************************************/
asmlinkage long
trace_sys_removexattr(char __user* path,
		      char __user* name)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_removexattr(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
/***********************************************************************/
asmlinkage long
trace_sys_lremovexattr(char __user* path,
		       char __user* name)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_lremovexattr(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
/***********************************************************************/
asmlinkage long
trace_sys_fremovexattr(int fd, 
		       char __user* name)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_fremovexattr(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}
