#include "trace_common.h"

struct jprobe jp_sys_chown;
struct kretprobe krp_sys_chown;
struct jprobe jp_sys_lchown;
struct kretprobe krp_sys_lchown;
struct jprobe jp_sys_fchown;
struct kretprobe krp_sys_fchown;

#ifdef CONFIG_UID16
struct jprobe jp_sys_chown16;
struct kretprobe krp_sys_chown16;
struct jprobe jp_sys_lchown16;
struct kretprobe krp_sys_lchown16;
struct jprobe jp_sys_fchown16;
struct kretprobe krp_sys_fchown16;
#endif

/***********************************************************************/
asmlinkage long
trace_sys_chown(const char __user* filename,
		uid_t user,
		gid_t group)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_chown(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_lchown(const char __user* filename,
		 uid_t user,
		 gid_t group)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_lchown(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_fchown(const char __user* filename,
		 uid_t user,
		 gid_t group)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_fchown(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

#ifdef CONFIG_UID16
/***********************************************************************/
asmlinkage long
trace_sys_chown16(const char __user* filename,
		  uid_t user,
		  gid_t group)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_chown16(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_lchown16(const char __user* filename,
		   uid_t user,
		   gid_t group)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_lchown16(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_fchown16(const char __user* filename,
		   uid_t user,
		   gid_t group)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_fchown16(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

#endif
