#include "trace_common.h"

struct jprobe jp_sys_stat;
struct kretprobe krp_sys_stat;
struct jprobe jp_sys_statfs;
struct kretprobe krp_sys_statfs;
struct jprobe jp_sys_statfs64;
struct kretprobe krp_sys_statfs64;
struct jprobe jp_sys_fstatfs;
struct kretprobe krp_sys_fstatfs;
struct jprobe jp_sys_fstatfs64;
struct kretprobe krp_sys_fstatfs64;
struct jprobe jp_sys_lstat;
struct kretprobe krp_sys_lstat;
struct jprobe jp_sys_fstat;
struct kretprobe krp_sys_fstat;
struct jprobe jp_sys_newstat;
struct kretprobe krp_sys_newstat;
struct jprobe jp_sys_newlstat;
struct kretprobe krp_sys_newlstat;
struct jprobe jp_sys_newfstat;
struct kretprobe krp_sys_newfstat;
struct jprobe jp_sys_ustat;
struct kretprobe krp_sys_ustat;
#if BITS_PER_LONG == 32
struct jprobe jp_sys_stat64;
struct kretprobe krp_sys_stat64;
struct jprobe jp_sys_fstat64;
struct kretprobe krp_sys_fstat64;
struct jprobe jp_sys_lstat64;
struct kretprobe krp_sys_lstat64;
#endif

/***********************************************************************/
asmlinkage long
trace_sys_stat(const char __user * filename, 
	       struct __old_kernel_stat __user* statbuf)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_stat(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_statfs(const char __user* path, struct statfs __user* buf)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_statfs(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_statfs64(const char __user* path, struct statfs64 __user* buf) 
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_statfs64(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_fstatfs(unsigned int fd, struct statfs __user* buf) 
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_fstatfs(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_fstatfs64(unsigned int fd, 
		    size_t sz, 
		    struct statfs64 __user* buf) 
{
  return entry_handler();
}

/***********************************************************************/
int
ret_handler_fstatfs64(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_lstat(const char __user * filename, 
	       struct __old_kernel_stat __user* statbuf)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_lstat(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_fstat(unsigned int fd, 
		struct __old_kernel_stat __user* statbuf)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_fstat(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_newstat(const char __user * filename, 
		  struct stat __user* statbuf)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_newstat(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_newlstat(const char __user * filename, 
		   struct stat __user* statbuf)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_newlstat(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_newfstat(unsigned int fd, struct stat __user* statbuf)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_newfstat(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_ustat(unsigned dev, struct ustat __user* ubuf) 
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_ustat(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

#if BITS_PER_LONG == 32

/***********************************************************************/
asmlinkage long
trace_sys_stat64(const char __user* filename, 
		 struct stat64 __user* statbuf)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_stat64(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_fstat64(unsigned long fd, struct stat64 __user* statbuf)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_fstat64(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_lstat64(char __user* filename, struct stat64 __user* statbuf)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_lstat64(struct kretprobe_instance *ri, struct pt_regs *regs)
{
  return ret_handler();
}

#endif
