#include "trace_common.h"

struct jprobe jp_sys_truncate;
struct kretprobe krp_sys_truncate;
struct jprobe jp_sys_ftruncate;
struct kretprobe krp_sys_ftruncate;
#if BITS_PER_LONG == 32
struct jprobe jp_sys_truncate64;
struct kretprobe krp_sys_truncate64;
struct jprobe jp_sys_ftruncate64;
struct kretprobe krp_sys_ftruncate64;
#endif

/***********************************************************************/
asmlinkage long
trace_sys_truncate(const char __user* path, 
		   unsigned long length)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_truncate(struct kretprobe_instance *ri, 
		     struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_ftruncate(unsigned int fd, 
		unsigned long length)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_ftruncate(struct kretprobe_instance *ri, 
		      struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/

#if BITS_PER_LONG == 32
/***********************************************************************/
asmlinkage long
trace_sys_truncate64(const char __user* path, 
		loff_t length)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_truncate64(struct kretprobe_instance *ri, 
		       struct pt_regs *regs)
{
  return ret_handler();
}

/***********************************************************************/
asmlinkage long
trace_sys_ftruncate64(unsigned int fd, 
		loff_t length)
{
  return entry_handler();
}

/***********************************************************************/
int 
ret_handler_ftruncate64(struct kretprobe_instance *ri, 
			struct pt_regs *regs)
{
  return ret_handler();
}

#endif
